from distutils.core import setup
import tada

setup(  name='tada',
        version=tada.__version__,
        url="http://www.darkarts.co.za/projects/tada/",
        description="Twisted Asynchronous Database Api",
        long_description="""\
This python module is a wrapper module for any DBAPI 2 compatible database
module. It wraps all functions and methods of the origional module and forces
the return of deferreds instead. tada can therefore be considered to be 'almost'
DBAPI compatible as it inherits the compatiblity level of the wrapped module,
but returns twisted deferreds.
tadah - is an additional class: "Tada with Helpers". This class adds some helper
functionality to tada, but breaks strict DBAPI 2 spec.
tao - uses tada and tadah to create an object model for DB access.  It is loosly
based on the SQLObject project's usage model, but asynchronous.
""",
        author="Clive Crous",
        author_email="clive@darkarts.co.za",
        licence="BSD",
        platforms = ["any"],
        keywords = "twisted asynchronous dbabi database".split(),
        classifiers = """\
Development Status :: 4 - Beta
Intended Audience :: Developers
License :: OSI Approved :: BSD License
Programming Language :: Python
Topic :: Database
Topic :: Software Development
Topic :: Software Development :: Libraries :: Python Modules""".split("\n"),
        packages=["tada","tada.test","tada.test.MySQLdb","tada.test.pysqlite2"],
     )
